let path = require('path');
module.exports = {
  // publicPath: './',
  publicPath: "",
  // 不需要生产环境的 source map，将其设置为 false 以加速生产环境构建
  productionSourceMap: false,
  transpileDependencies: true,
  lintOnSave: false,
  chainWebpack: config => {
    config.module.rule('compile')
      .test(/\.js$/)
      .include
      .end()
      .use('babel')
      .loader('babel-loader')
      .options({
        presets: [
          ['@babel/preset-env', {
            modules: false
          }]
        ]
      });
  },
  css: {
    loaderOptions: {
      stylus: {
        import: [path.resolve(__dirname, "src/style/var.styl")],
      }
    }
  }
};
